%define enable_gpgme 0
%{?_with_gpgme: %global enable_gpgme 1}
%define title Balsa
%define summary Balsa Mail Client

Summary:	%summary
Name:		balsa
Version:        2.4.1
Release:        %mkrel 3
License:	GPL
Group:		Networking/Mail
Source0:	http://balsa.gnome.org/%{name}-%{version}.tar.xz
URL:		http://pawsa.fedorapeople.org/balsa/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  aspell-devel >= 0.50
BuildRequires:	libesmtp-devel
BuildRequires:  libgnomeprintui-devel >= 2.1.7
BuildRequires:  libgnomeui2-devel
BuildRequires:	gtkhtml-3.14-devel
BuildRequires:	libltdl-devel
BuildRequires:	pcre-devel
BuildRequires:  scrollkeeper
BuildRequires:	sendmail-command
BuildRequires:	ImageMagick
BuildRequires:	libldap-devel
BuildRequires:	intltool
BuildRequires:	libgmime-devel >= 2.4.0
BuildRequires:	krb-devel
BuildRequires:	libnotify-devel
BuildRequires:	gtkspell-devel

%if %enable_gpgme
BuildRequires:	gpgme-devel >= 0.4.2
%endif

Requires(post):         scrollkeeper >= 0.3
Requires(postun):         scrollkeeper >= 0.3

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Balsa is an e-mail reader. This client is part of the GNOME desktop environment.
It supports local mailboxes, POP3 and IMAP.

%description -l de
Balsa ist ein E-Mail-Leser. Dieser Client ist Teil der GNOME-Desktop-Umgebung.
Es unterstützt lokale Mailboxen, POP3 und IMAP.

%description -l fr
Balsa est un lecteur e-mail. Ce client fait partie de l'environnement de bureau GNOME.
Il prend en charge les boîtes aux lettres locales, POP3 et IMAP.

%description -l es
Balsa es un lector de e-mail. Este cliente es parte del entorno de escritorio GNOME.
Es compatible con buzones locales, POP3 e IMAP.

%description -l pl
Balsa jest czytnik e-mail. Ten klient jest częścią środowiska GNOME.
Wspiera lokalne skrzynek pocztowych POP3 i IMAP.

%description -l sr
Балша је е-читач. Овај клијент је део Гноме десктоп окружења.
Он подржава локални сандучићи, ПОП3 и ИМАП.

%description -l nl
Balsa is een e-mail lezer. Deze client is een onderdeel van de GNOME desktop omgeving.
Het ondersteunt lokale mailboxen, POP3 en IMAP.

%prep
%setup -q


%build
autoreconf -fi
%configure2_5x	\
	--with-gtkhtml \
	--with-gss=yes \
%if %enable_gpgme
	--with-gpgme \
%endif
	--with-ssl \
	--with-ldap=yes \
	--with-gtkspell

make

%install
rm -rf %{buildroot}
%makeinstall_std GTK_UPDATE_ICON_CACHE="/usr/bin/gtk-update-icon-cache --ignore-theme-index"

# Icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       gnome-balsa2.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -geometry 32x32 gnome-balsa2.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -geometry 16x16 gnome-balsa2.png %{buildroot}/%{_miconsdir}/%{name}.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*




%find_lang %{name} --with-gnome

for i in %{buildroot}%{_datadir}/gnome/help/%{name}/*; do
  touch $i/%{name}.html
done

%clean
rm -fr %{buildroot}

%post
%{update_menus}
%update_scrollkeeper
touch %{_datadir}/gnome/help/%{name}/C/%{name}.html
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_scrollkeeper}
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/idl/*.idl
%{_datadir}/omf/*
%{_datadir}/sounds/*
%{_datadir}/icons/*
%{_libdir}/bonobo/servers/*.server
%{_mandir}/*/*


%changelog
* Fri Sep 10 2010 Texstar <texstar at gmail.com> 2.4.1-3pclos2010
- rebuild ldap

* Sun Dec 27 2009 Texstar <texstar at gmail.com> 2.4.1-2pclos2010
- rebuild for new gtkhtml

* Tue Sep 29 2009 johnnyblack <johnnyblack at inbox.com> 2.4.1-1pclos2009
- 2.4.1

* Sat Jan 03 2009 don_crissti <don_crissti@gmx.com> 2.3.27-1pclos2007
- new version

* Fri Feb 08 2008 Slick50 <slick50@linuxgator.org> 2.3.22-1pclos2007
- Build for pclinuxos 2007
- Fix menu for pclinuxos (texstar)


